> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Initiates an asynchronous export of campaign statistics to a CSV file.

# Start Campaign Stats Export

You first start an export, get an export ID, and then periodically check the status of the export with the [Get Campaign Export Status](/api-reference/endpoints/campaigns/get-campaign-export-status) endpoint.

You should stop polling as soon as you have a status that is different than "pending".

Multiple exports on the same campaign can be done simultaneously as it is export ID based.

## How it works

1. **Start the export**: Call this endpoint to initiate the export process. You'll receive an `exportId` in the response.
2. **Check status**: Use the `exportId` with the [Get Campaign Export Status](/api-reference/endpoints/campaigns/get-campaign-export-status) endpoint to periodically check the export status.
3. **Download**: Once the status is `"done"`, use the provided URL to download the CSV file.

<Note>
  The export is ID-based rather than campaign-based, allowing multiple simultaneous exports of the same campaign (e.g., one by a user in the application and another by a script).
</Note>

## Response

The response includes:

* **exportId**: Use this to check the export status
* **status**: Will be `"pending"` initially, then `"done"` or `"error"`
* **progress information**: Track the export progress

## Next steps

After starting an export, use the [Get Campaign Export Status](/api-reference/endpoints/campaigns/get-campaign-export-status) endpoint to monitor progress and retrieve the download URL when ready.


## OpenAPI

````yaml get /campaigns/{campaignId}/export/start
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /campaigns/{campaignId}/export/start:
    parameters:
      - name: campaignId
        in: path
        required: true
        description: The unique identifier of the campaign to export
        example: cam_A1B2C3D4E5F6G7H8I9
        schema:
          type: string
    get:
      tags:
        - Campaigns
      summary: Start Campaign Stats Export
      description: >-
        Start an asynchronous export of all campaign statistics. The final
        export result is a CSV file.
      parameters: []
      responses:
        '200':
          description: Export started successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    description: The unique identifier of the export
                  id:
                    type: string
                    description: The unique identifier of the export (same as _id)
                  teamId:
                    type: string
                    description: The team identifier
                  campaignId:
                    type: string
                    description: The campaign identifier
                  campaignName:
                    type: string
                    description: The name of the campaign
                  status:
                    type: string
                    enum:
                      - pending
                      - done
                      - error
                    description: Current status of the export
                  startedAt:
                    type: string
                    format: date-time
                    description: When the export was started
                  progressIndex:
                    type: integer
                    description: Current progress index
                  progressTime:
                    type: integer
                    description: Timestamp of progress
                  progressLastStepDuration:
                    type: integer
                    description: Duration of last step in milliseconds
                  progressType:
                    type: string
                    description: Type of current progress step
                  progress:
                    type: integer
                    description: Number of items processed
                  total:
                    type: integer
                    description: Total number of items to process
              example:
                _id: axp_Vv6lJOc8NlVVmDud5
                id: axp_Vv6lJOc8NlVVmDud5
                teamId: tea_c123fg5h8ijKL9noP
                campaignId: cam_A1B2C3D4E5F6G7H8I9
                campaignName: Insights Outreach 2024
                status: pending
                startedAt: '2024-07-09T13:43:52.124Z'
                progressIndex: 0
                progressTime: 1720532632124
                progressLastStepDuration: 0
                progressType: starting
                progress: 0
                total: 0
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Campaign not found
          content:
            text/plain:
              example: Campaign not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````